Commit fa25797d authored by Konrad Grochowski's avatar Konrad Grochowski

Addons: RCC rc4 is no longer available, rc6 added insted

parent 6e4b872f
......@@ -2,18 +2,18 @@
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
. "${DIR}/common.sh"
echo "[-] Checking if Gaisler's RCC1.3-rc4 is already under /opt/..."
if [ -e /opt/rcc-1.3-rc4 ] ; then
echo '[-] /opt/rcc-1.3-rc4 is there already. Aborting...'
exit 1
fi
DESCRIPTION="Gaisler's RCC1.3-rc6"
PREFIX="/opt"
INSTALL_PATH="$PREFIX/rcc-1.3.-rc6"
CheckTargetFolder "${DESCRIPTION}" "${INSTALL_PATH}"
echo "[-] Downloading and uncompressing Gaisler's RCC1.3-rc4..."
echo "[-] Downloading and uncompressing Gaisler's RCC1.3-rc6..."
echo "[-]"
cd /opt || exit 1
wget -q -O - https://www.gaisler.com/anonftp/rcc/bin/linux/sparc-rtems-5-gcc-7.2.0-1.3-rc4-linux.txz | sudo tar Jxvf -
wget -q -O - https://www.gaisler.com/anonftp/rcc/bin/linux/sparc-rtems-5-gcc-7.2.0-1.3-rc6-linux.txz | sudo tar xJvf -
if [ $? -ne 0 ] ; then
echo "Downloading Gaisler's RCC1.3-rc4 toolchain has failed."
echo "Downloading Gaisler's RCC1.3-rc6 toolchain has failed."
echo Aborting...
exit 1
fi
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment